org.eclipse.jetty.http

## Class HttpException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jetty.http.HttpException

- All Implemented Interfaces:
    java.io.Serializable

      public class HttpException
      extends java.io.IOException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpException(int status)`
    `HttpException(int status, java.lang.String reason)`
    `HttpException(int status, java.lang.String reason, java.lang.Throwable rootCause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getReason()`
    `int` | `getStatus()`
    `void` | `setReason(java.lang.String reason)`
    `void` | `setStatus(int status)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpException

          public HttpException(int status)

    - #### HttpException

          public HttpException(int status,
                       java.lang.String reason)

    - #### HttpException

          public HttpException(int status,
                       java.lang.String reason,
                       java.lang.Throwable rootCause)

  - ### Method Detail

    - #### getReason

          public java.lang.String getReason()

      Returns:
        Returns the reason.

    - #### setReason

          public void setReason(java.lang.String reason)

      Parameters:
        `reason` - The reason to set.

    - #### getStatus

          public int getStatus()

      Returns:
        Returns the status.

    - #### setStatus

          public void setStatus(int status)

      Parameters:
        `status` - The status to set.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.